<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.simuwang.base.mapper.EmailFieldMappingMapper">
    <resultMap id="BaseResultMap" type="com.simuwang.base.pojo.dos.EmailFieldMappingDO">
        <id column="id" property="id"/>
        <result column="code" property="code"/>
        <result column="name" property="name"/>
        <result column="isvalid" property="isvalid"/>
        <result column="creatorid" property="creatorId"/>
        <result column="createtime" property="createTime"/>
        <result column="updaterid" property="updaterId"/>
        <result column="updatetime" property="updateTime"/>
    </resultMap>

    <select id="getEmailFieldMapping" resultMap="BaseResultMap">
        select *
        from PPW_EMAIL.email_field_mapping
        where isvalid = 1
    </select>

</mapper>